> ## Documentation Index
> Fetch the complete documentation index at: https://docs.request.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get conversion routes for a specific currency

> Get a list of currency objects (with all details) that can be converted to from the specified currency. Optionally filter by network using the 'network' query parameter.



## OpenAPI

````yaml /api-reference/openapi.v2.json get /v2/currencies/{currencyId}/conversion-routes
openapi: 3.0.0
info:
  title: Request Network API
  description: API for easily creating and paying Requests with Request Network.
  version: 0.13.0
  contact: {}
servers:
  - url: https://api.request.network
    description: Production server
  - url: https://api.stage.request.network
    description: Staging server
  - url: http://127.0.0.1:8080
    description: Local development server
security: []
tags:
  - name: V2/Request
    description: Core payment request operations (V2)
  - name: V2/Payments
    description: Payment search and management operations (V2)
  - name: V2/Payouts
    description: Pay a request without creating one first (V2)
  - name: V2/Payer
    description: Crypto-to-fiat payer management operations (V2)
  - name: V2/Currencies
    description: Currency operations (V2)
  - name: V2/Client IDs
    description: Client ID management (V2)
  - name: V2/Payee Destination
    description: Payee destination management (V2)
externalDocs:
  description: Request Network Docs
  url: https://docs.request.network/request-network-api
paths:
  /v2/currencies/{currencyId}/conversion-routes:
    get:
      tags:
        - Currencies
        - V2/Currencies
      summary: Get conversion routes for a specific currency
      description: >-
        Get a list of currency objects (with all details) that can be converted
        to from the specified currency. Optionally filter by network using the
        'network' query parameter.
      operationId: CurrenciesV2Controller_getConversionRoutes_v2
      parameters:
        - name: currencyId
          required: true
          in: path
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for authentication (optional if using Client ID)
          required: false
          schema:
            type: string
        - name: x-client-id
          in: header
          description: Client ID for frontend authentication (optional if using API key)
          required: false
          schema:
            type: string
        - name: Origin
          in: header
          description: >-
            Origin header (required for Client ID auth, automatically set by
            browser)
          required: false
          schema:
            type: string
        - name: network
          required: false
          in: query
          description: The network of the token to filter by
          schema:
            type: string
        - name: networks
          required: false
          in: query
          description: >-
            A comma-separated list of networks to filter by (e.g.,
            sepolia,mainnet,polygon)
          schema:
            type: string
      responses:
        '200':
          description: Conversion routes retrieved successfully
          content:
            application/json:
              examples:
                usdRoutes:
                  summary: USD conversion routes on mainnet
                  value:
                    currencyId: USD
                    network: mainnet
                    conversionRoutes:
                      - id: USDT-mainnet
                        name: Tether USD
                        symbol: USDT
                        decimals: 6
                        address: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                        network: mainnet
                        type: ERC20
                        hash: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                        chainId: 1
                      - id: ETH-mainnet
                        name: Ether
                        symbol: ETH
                        decimals: 18
                        address: '0xf5af88e117747e87fc5929f2ff87221b1447652e'
                        network: mainnet
                        type: ETH
                        hash: '0xf5af88e117747e87fc5929f2ff87221b1447652e'
                        chainId: 1
                allNetworks:
                  summary: All networks conversion routes
                  value:
                    currencyId: USD
                    network: null
                    conversionRoutes:
                      - id: USDT-mainnet
                        name: Tether USD
                        symbol: USDT
                        decimals: 6
                        address: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                        network: mainnet
                        type: ERC20
                        hash: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                        chainId: 1
                      - id: FAU-sepolia
                        name: FAU
                        symbol: FAU
                        decimals: 18
                        address: '0x370DE27fdb7D1Ff1e1BaA7D11c5820a324Cf623C'
                        network: sepolia
                        type: ERC20
                        hash: '0x370de27fdb7d1ff1e1baa7d11c5820a324cf623c'
                        chainId: 11155111
                multiNetworks:
                  summary: Multiple networks conversion routes
                  value:
                    currencyId: USD
                    networks:
                      - mainnet
                      - polygon
                    conversionRoutes:
                      - id: USDT-mainnet
                        name: Tether USD
                        symbol: USDT
                        decimals: 6
                        address: '0xdAC17F958D2ee523a2206206994597C13D831ec7'
                        network: mainnet
                        type: ERC20
                        hash: '0xdac17f958d2ee523a2206206994597c13d831ec7'
                        chainId: 1
                      - id: USDT-polygon
                        name: Tether USD
                        symbol: USDT
                        decimals: 6
                        address: '0xc2132D05D31c914a87C6611C10748AEb04B58e8F'
                        network: polygon
                        type: ERC20
                        hash: '0xc2132d05d31c914a87c6611c10748aeb04b58e8f'
                        chainId: 137
        '404':
          description: Currency not found
          content:
            application/json:
              examples:
                notFound:
                  summary: Currency not found
                  value:
                    statusCode: 404
                    message: Token not found
                    error: Not Found
        '429':
          description: Too Many Requests

````